Bug 493442 - (CVE-2007-6725) CVE-2007-6725 ghostscript: DoS (crash) in CCITTFax decoding filter
CVE-2007-6725 ghostscript: DoS (crash) in CCITTFax decoding filter
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
reported=20070219,public=20070219,sou...
: Security
Depends On: 229174 450715 491854 491855 491856 491857 491858 492346 492348
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 14:58 EDT by Jan Lieskovsky
Modified: 2010-07-13 10:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 10:26:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PoC proving presence of the flaw (40.69 KB, application/x-pdf)
2009-04-01 15:02 EDT, Jan Lieskovsky
no flags Details

  None (edit)
Description Jan Lieskovsky 2009-04-01 14:58:58 EDT
A denial of service flaw was found in Ghostscript's CCITTFax decoding filter.
An attacker could create a specially-crafted PDF file which could cause Ghostscript to crash, or, potentially execute arbitrary code, when opened
by the victim.
Comment 1 Jan Lieskovsky 2009-04-01 15:02:02 EDT
Created attachment 337622 [details]
PoC proving presence of the flaw
Comment 3 Jan Lieskovsky 2009-04-01 15:05:11 EDT
This issue affects all versions of the ghostscript package, as shipped
with Red Hat Enterprise Linux 2.1, 3, 4, and 5.
Comment 7 Jan Lieskovsky 2009-04-09 04:56:39 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-6725 to
the following vulnerability:

The CCITTFax decoding filter in Ghostscript 8.60, 8.61, and possibly
other versions, allows remote attackers to cause a denial of service
(crash) and possibly execute arbitrary code via a crafted PDF file
that triggers a buffer underflow in the cf_decode_2d function.
Comment 8 errata-xmlrpc 2009-04-14 13:54:09 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0421 https://rhn.redhat.com/errata/RHSA-2009-0421.html

Note You need to log in before you can comment on or make changes to this bug.